@REM  Betty-TV-Fernbedienung
@REM  eine Betty-App erzeugen mit GCC
@ECHO OFF
SET ARMBASE = E:\YAGARTO
SET PATH    = %ARMBASE%\BIN
SET LIBPATH = $(ARMBASE)/lib/gcc/arm-none-eabi/4.3.2

echo Assembliere Startup
ARM-NONE-EABI-AS -a=AppStartupGcc.lst -o AppStartupGcc.o -mcpu=arm7tdmi -D -EL -mthumb-interwork AppStartupGcc.asm
if Errorlevel==1 goto ende

echo Assembliere BettyApiGcc
ARM-NONE-EABI-AS -a=BettyApiGcc.lst -o BettyApiGcc.o -mcpu=arm7tdmi -D -EL -mthumb-interwork BettyApiGcc.asm
if Errorlevel==1 goto ende

echo Compile Main
ARM-NONE-EABI-GCC @appcompile_gcc.xcl appmain.c
if Errorlevel==1 goto ende

echo Linken geht noch nicht
goto ende

echo Linke
ARM-NONE-EABI-LD @link_gcc.xcl
if Errorlevel==1 goto ende

echo Mache Hex
fromelf --output BettyBASE.HEX --i32 linked.axf
if Errorlevel==1 goto ende

echo Mache Bin
fromelf --output BettyBASE.bin --bin linked.axf
if Errorlevel==1 goto ende

echo So, das war's.
goto schluss

:ende
echo ...
echo Hei, da ist was schiefgelaufen!
pause

:schluss

